org.apache.jmeter.report.config

## Class InstanceConfiguration

- java.lang.Object
- - org.apache.jmeter.report.config.SubConfiguration
  - - org.apache.jmeter.report.config.InstanceConfiguration

- Direct Known Subclasses:
    ExporterConfiguration, GraphConfiguration

      public class InstanceConfiguration
      extends SubConfiguration

  The class InstanceConfiguration describe the configuration of an item that can be instantiated by its class name.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstanceConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()` Gets the class name of the item.
    `void` | `setClassName(java.lang.String className)` Sets the class name of the item.

    - ### Methods inherited from class org.apache.jmeter.report.config.SubConfiguration

      `getProperties, getProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstanceConfiguration

          public InstanceConfiguration()

  - ### Method Detail

    - #### getClassName

          public final java.lang.String getClassName()

      Gets the class name of the item.
      Returns:
        the class name of the item

    - #### setClassName

          public final void setClassName(java.lang.String className)

      Sets the class name of the item.
      Parameters:
        `className` - the new class name

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.